osso-accounts (3.71-1) unstable; urgency=low

  * Fix possible crash when an uninitialized variable could be used.

  * Add invalid chars for GTalk resource name. Fixes: NB#83189.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  2 Apr 2008 10:02:59 +0300

osso-accounts (3.70-1) unstable; urgency=low

  * Clear the normalized name only if the account name actually changes.
    Fixes: NB#81030.

  * Use gtk_file_filter_add_pixbuf_formats() instead of hard-coding
    supported formats

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 19 Mar 2008 16:04:07 +0200

osso-accounts (3.69-1) unstable; urgency=low

  * Check username uniqueness before storing settings. Fixes: NB#80275.

  * Show error banner when chatroom server is left empty. Fixes: NB#80622.

  * Make coverity tool a bit happier. Fixes: NB#80893.

  * Make sure the widget that didn't validate is on the active page of a
    GtkNotebook. Fixes: NB#80580.

  * Use the advanced settings dialog window as parent for the Hildon
    banner.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 20 Feb 2008 15:54:59 +0200

osso-accounts (3.68-1) unstable; urgency=low

  * Revert a fix with unwanted side-effects (Fixes: NB#80621)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 13 Feb 2008 18:17:25 +0200

osso-accounts (3.67-1) unstable; urgency=low

  * SIP advanced settings:
    Show errors as banners so user does not need a serial console
    access to notice them... (Fixes: NB#80580)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Feb 2008 15:25:21 +0200

osso-accounts (3.66-1) unstable; urgency=low

  * Jabber and GTalk plugins:
    Add the semicolon to the list of invalid username characters.
    Fixes: NB#79814.
    Also add the hash to the list of invalid username characters.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  7 Feb 2008 17:21:35 +0200

osso-accounts (3.65-1) unstable; urgency=low

  * Jabber plugin:
    Disable the advanced settings dialog while registering a new account.
    Fixes: NB#79554.

  * Jabber plugin:
    Correctly get the toplevel window, don't use the RtcomPage.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  6 Feb 2008 16:42:56 +0200

osso-accounts (3.64-1) unstable; urgency=low

  * Show an error if account creation fails (Fixes: NB#80299)
  * Make the advanced settings windows wider, and shrink the port fields.
    (Fixes: NB#76821)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  6 Feb 2008 12:20:03 +0200

osso-accounts (3.63-1) unstable; urgency=low

  * Add video-p2p capability to each profile, so that we have video support
    also after fixing NB#80075

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 31 Jan 2008 17:43:21 +0200

osso-accounts (3.62-1) unstable; urgency=low

  * Get the default display name from the profile. Fixes: NB#80079.

  * Sort services primarily by priority, secondarily by the service name

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 30 Jan 2008 16:31:39 +0200

osso-accounts (3.61-1) unstable; urgency=low

  * Clear the normalized name when changing the account name.
    Fixes: NB#79632.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 23 Jan 2008 10:25:31 +0200

osso-accounts (3.60-1) unstable; urgency=low

  * Set the transiency of the "flash full" banner correctly (Fixes: NB#79185)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 10 Jan 2008 16:07:54 +0200

osso-accounts (3.59-1) unstable; urgency=low

  * Tweak the size of the accounts dialog (Fixes: NB#76906)
  * Enable coverage support

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  3 Dec 2007 11:30:10 +0200

osso-accounts (3.58-1) unstable; urgency=low

  * Correctly determines the empty widget in which to move the cursor.
    Fixes: NB#74869.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  7 Nov 2007 13:45:41 +0200

osso-accounts (3.57-2) unstable; urgency=low

  * Generate documentation package for libosso-rtcom-accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 22 Oct 2007 12:10:54 +0300

osso-accounts (3.57-1) unstable; urgency=low

  * RtcomAvatarChooser: save avatar in the format defined in the profile
    (default is still image/png)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 17 Oct 2007 15:21:06 +0300

osso-accounts (3.56-1) unstable; urgency=low

  * Don't leak the GladeXML objects.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 16 Oct 2007 12:09:07 +0300

osso-accounts (3.55-1) unstable; urgency=low

  * Make g_object_weak_ref() conditional as it should've been
    (completes the previous fix)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 16 Oct 2007 10:19:40 +0300

osso-accounts (3.54-1) unstable; urgency=low

  * Disconnect "store-settings" signal handler when the edit
    context is destroyed (Fixes: NB#73090)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 15 Oct 2007 19:13:50 +0300

osso-accounts (3.53-2) unstable; urgency=low

  * Fix documentation, allowing package to be built. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 28 Sep 2007 15:13:53 +0300

osso-accounts (3.53-1) unstable; urgency=low

  * Fix pkg-config file for osso-rtcom-accounts: adding dependencies.

  * Generate documentation for libosso-rtcom-accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 28 Sep 2007 14:00:33 +0300

osso-accounts (3.52-1) unstable; urgency=low

  * Workaround for the case when Next button is pressed when widgets are
    not realized. Fixes: NB#70640.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 24 Sep 2007 15:09:58 +0300

osso-accounts (3.51-1) unstable; urgency=low

  * Allow RtcomParamString widgets not to have an associated field; make
    the verify password widget into a RtcomParamString.
    Fixes: NB#70562.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 21 Sep 2007 16:48:53 +0300

osso-accounts (3.50-1) unstable; urgency=low

  * Do not override plugins' insensitive messages (Fixes: NB#68641)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 14 Sep 2007 17:33:02 +0300

osso-accounts (3.49-1) unstable; urgency=low

  * Make RtcomAvatarChooser a button instead of an event box

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 13 Sep 2007 18:36:42 +0300
	
osso-accounts (3.48-1) unstable; urgency=low

  * Add help button on advanced configuration dialogs.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 13 Sep 2007 16:55:58 +0300

osso-accounts (3.47-1.1) unstable; urgency=low

  * added -doc package

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Thu, 13 Sep 2007 11:51:17 +0300

osso-accounts (3.47-1) unstable; urgency=low

  * Add --disable-cast-checks, --disable-asserts, --disable-checks and
    --enable-debug options.

  * sip-plugin: Disable TLS and remove proxy options

  * sip-plugin: remove ``priority'' default settings from profile, since it is
    not a valid parameter for SIP.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 13 Sep 2007 11:09:20 +0300

osso-accounts (3.46-1) unstable; urgency=low

  * Set "Not available" insensitive messages on wizard buttons
    (Fixes: NB#68725)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  7 Sep 2007 10:25:05 +0300

osso-accounts (3.45-1) unstable; urgency=low

  * Don't dim the ``Finish'' button when returning back to the previous
    screen. But dim it if something gets changed. Fixes: NB#68293.

  * Don't undim the next page button while the second password field is
    empty. Fixes: NB#68641.

  * Add rtcom_page_set_object_can_next() API to allow any GObject to be
    taken into account for the next page button dimming/undimming logic.

  * Show default parameters from profile, when creating a new account.

  * Documentation improved for libaccounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  7 Sep 2007 10:14:37 +0300

osso-accounts (3.44-1) unstable; urgency=low

  * Use addr_ib_avatar_too_big from osso-addressbook translation
    domain (Fixes: NB#66294)

  * Make the SIP plugin only consider profiles whose ConfigurationUI
    field is set to "osso-accounts"

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  5 Sep 2007 10:21:39 +0300

osso-accounts (3.43-1) unstable; urgency=low

  * Add missing linker option in libaccounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 30 Aug 2007 15:36:41 +0300

osso-accounts (3.42-1) unstable; urgency=low

  * Updating logical string for account browse button.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 30 Aug 2007 12:17:02 +0300

osso-accounts (3.41-1) unstable; urgency=low

  * Update valid characters check for username and domain fields.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 30 Aug 2007 11:39:51 +0300

osso-accounts (3.40-1) unstable; urgency=low

  * Add a checkbox for enabling calls to PSTN lines
  * Use OssoABookAvatarPopup for selecting avatars

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 29 Aug 2007 12:16:12 +0300

osso-accounts (3.39-1) unstable; urgency=low

  * Upon disabling account, popup confirmation note only if the account is
    connected. Fixes: NB#51091.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 27 Aug 2007 11:52:44 +0300

osso-accounts (3.38-1) unstable; urgency=low

  * Show confirmation dialog before registering Jabber accounts, even if
    connectivity is available. Fixes: NB#66600.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 24 Aug 2007 11:05:40 +0300

osso-accounts (3.37-1) unstable; urgency=low

  * Jabber plugin: fix retrieval of advanced settings on account registration.
    Fixes: NB#66370.

  * Update copyright notice on all source files.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 21 Aug 2007 16:54:11 +0300

osso-accounts (3.36-1) unstable; urgency=low

  * Increase the minimum width of the dialog, so that pages don't change
    sizes for most locales.

  * Don't set the width-request on the dialog, but on the widget that
    actually need it.  Fixes: NB#66081.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 21 Aug 2007 09:48:11 +0300

osso-accounts (3.35-1) unstable; urgency=low

  * Set insensitive messages for Edit and Delete buttons
    Fixes: NB#66076

  * Increase the buffer size for confirmation messages.
    Fixes: NB#66126.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 20 Aug 2007 16:00:47 +0300

osso-accounts (3.34-1) unstable; urgency=low

  * Ensure initial focus is on the first visible item (Fixes: NB#65135)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 20 Aug 2007 09:39:26 +0300

osso-accounts (3.33-1) unstable; urgency=low

  * In the account editing pages, set the focus to the proper widgets on page
    entry.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 16 Aug 2007 15:01:13 +0300

osso-accounts (3.32-1) unstable; urgency=low

  * Install include files in /usr/include/libosso-rtcom-accounts, instead
    of /usr/include/osso-rtcom-accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 14 Aug 2007 09:53:03 +0300

osso-accounts (3.31-1) unstable; urgency=low

  * Add pkg-config file for osso-rtcom-accounts, and fix that of libaccounts.

  * Allow building of gtk-doc API reference.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 10 Aug 2007 12:08:11 +0300

osso-accounts (3.30-1) unstable; urgency=low

  * Install headers for libosso-rtcom-accounts and libaccounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  9 Aug 2007 14:42:04 +0300

osso-accounts (3.29-1) unstable; urgency=low

  * SIP plugin now handles all the profiles whose protocol is "sip".

  * Rename the glade hildon support library to rtcom-hildon, to avoid
    possible collisions with desktop.

  * Rename some API for better consistency.

  * Add gtk-docstrings to APIs.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  9 Aug 2007 10:28:27 +0300

osso-accounts (3.28-1) unstable; urgency=low

  * Introduce the AccountService class, whose objects represent the
    Telepathy profiles, to allow for a plugin to provide support for more
    than one profile.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  6 Aug 2007 15:46:05 +0300

osso-accounts (3.27-2) unstable; urgency=low

  * the package libaccounts-rtcom0 splited up into packages:
    libaccounts-glade and libosso-rtcom-accounts0
  * debug packages added

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri,  3 Aug 2007 15:50:52 +0300

osso-accounts (3.27-1) unstable; urgency=low

  * Enable "Auto-detect STUN" by default as it used to be

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 26 Jul 2007 14:52:08 +0300

osso-accounts (3.26-1) unstable; urgency=low

  * Bind "Auto-detect STUN" to "discover-stun" parameter
  * For the time being, bind "Authentication user name" to
    "auth-user" instead of the less useful "extra-auth-user" param

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 26 Jul 2007 13:58:03 +0300

osso-accounts (3.25-1) unstable; urgency=low

  * Tweak label widths to make wrapping work properly, still avoiding
    unnecessary resizes of the toplevel window
  * Fix uniqueness check in edit mode
  * Show "Contacts will be copied from server" when appropriate

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 25 Jul 2007 14:41:59 +0300

osso-accounts (3.24-1) unstable; urgency=low

  * Use dbus_g_bus_get() instead of tp_get_bus() to get reference
    counting right.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 25 Jul 2007 11:31:45 +0300

osso-accounts (3.23-1) unstable; urgency=low

  * Plug leaks in jabber account registration (Fixes: NB#64165)
  * Make account uniqueness check work also when registering a new account

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 25 Jul 2007 09:58:44 +0300

osso-accounts (3.22-1) unstable; urgency=low

  * Check account uniqueness correctly (Fixes: NB#64067)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 24 Jul 2007 11:02:53 +0300

osso-accounts (3.21-1) unstable; urgency=low

  * Use libhildonmime and hildon_uri_open() to launch the browser in gtalk
    plugin (Fixes: NB#63875)
  * Fix wrapping on gtalk new account page

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 20 Jul 2007 11:29:50 +0300

osso-accounts (3.20-1) unstable; urgency=low

  * Enable autocompletion in username field. Fixes: NB#58596.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 16 Jul 2007 10:15:42 +0300

osso-accounts (3.19-1) unstable; urgency=low

  * Fix creation of jabber accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 12 Jul 2007 08:41:11 +0300

osso-accounts (3.18-1) unstable; urgency=low

  * Use a workaround for gtk_dialog_run() corrupting the GMainLoop.
    Fixes: NB#62217.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  9 Jul 2007 09:22:47 +0300

osso-accounts (3.17-1) unstable; urgency=low

  * Make account details page scrollable, and increase the default height
    so that the page initially appears without scrollbar.
    Fixes: NB#62202.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  2 Jul 2007 13:49:23 +0300

osso-accounts (3.16-1) unstable; urgency=low

  * Fix the layouts of jabber and gtalk advanced settings dialogs

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 27 Jun 2007 17:11:49 +0300

osso-accounts (3.15-1) unstable; urgency=low

  * RtcomUsername widget:
    Rewrite check for account uniqueness: don't assume that the account
    returned by mc_account_lookup_with_profile() will have the same
    account name, since that function is also checking for the normalized
    name. Instead, a straight comparison of the McAccount pointers is safer.
    Fixes: NB#61858.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 27 Jun 2007 13:35:27 +0300

osso-accounts (3.14-1) unstable; urgency=low

  * UI:
    Sort plugins by their display name (Fixes: NB#60823)

  * SIP plugin:
    Add error message when validating the page with an empty password
    field (Fixes: NB#61355)

  * RtcomAvatarChooser:
    Use the correct default avatar (Fixes: NB#61747)

  * RtcomAccountItem:
    Make sure we are not using a NULL string with strcmp.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 26 Jun 2007 15:32:47 +0300

osso-accounts (3.13-1) unstable; urgency=low

  * Make sure we don't store an uninitialized account name
  * Avoid setting NULL values in GtkEntries
  * Plug reference leaks all over

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 20 Jun 2007 10:58:41 +0300

osso-accounts (3.12-1) unstable; urgency=low

  * Jabber Plugin:
    Don't leak the ConIcConnection. Fixes: NB#61131.

  * Plugins:
    Don't hold a reference to the AccountsList.

  * UI:
    Do not leak the manager. Fixes: NB#61133.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 19 Jun 2007 16:13:01 +0300

osso-accounts (3.11-1) unstable; urgency=low

  * Prevent the plugins from being unloaded, since that would currently
    lead to a crash. Fixes: NB#60448.

  * Depend on hildon-help instead of osso-help

  * On clicking the "Reset" button, show the default avatar
    (Fixes: NB#60494)

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 15 Jun 2007 16:42:00 +0300

osso-accounts (3.10-1) unstable; urgency=low

  * Set the maximum length of account name and alias entries as 20
    (Fixes: NB#60390)

  * Do not set title on the Crop avatar dialog (Fixes: NB#58978)

  * Avoid a critical warning when there are no default domains in
    a profile

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 13 Jun 2007 15:55:52 +0300

osso-accounts (3.9-1) unstable; urgency=low

  * Pixel-perfect layouts

  * Enable wrapping for labels that may not fit fully

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 13 Jun 2007 14:30:14 +0300

osso-accounts (3.8-1) unstable; urgency=low

  * Update SIP profile: enable split-account capability and fix the icon name

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 13 Jun 2007 11:30:09 +0300

osso-accounts (3.7-1) unstable; urgency=low

  * Hack around the HildonCaption/GtkSizeGroup size-requisition issue
    (Fixes: NB#60285)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Jun 2007 18:46:18 +0300

osso-accounts (3.6-1) unstable; urgency=low

  * Fix display-name notification

  * Make glade support library name consistent with the
    libosso-rtcom-accounts library.

  * Move glade support libraries in a separate subdirectory.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Jun 2007 15:06:52 +0300

osso-accounts (3.5-1) unstable; urgency=low

  * Try to workaround an automake bug: manually impose install
    dependencies.

  * Get the toplevel window from the AccountsList object.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 12 Jun 2007 10:58:57 +0300

osso-accounts (3.4-1) unstable; urgency=low

  * Allow compilation in a build directory other than the srcdir.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 11 Jun 2007 17:11:06 +0300

osso-accounts (3.3-1) unstable; urgency=low

  * If a string parameter is empty, unset it in GConf.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 11 Jun 2007 14:30:51 +0300

osso-accounts (3.2-4) unstable; urgency=low

  * Use install-exec-local instead of install-exec-hook, to fix the
    compilation in the build robot.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 11 Jun 2007 11:58:14 +0300

osso-accounts (3.2-3) unstable; urgency=low

  * Try not to use the .la file, but just the nice old -l flag. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  8 Jun 2007 17:58:43 +0300

osso-accounts (3.2-2) unstable; urgency=low

  * Set librtcom-accounts dependency on libosso-rtcom-accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  8 Jun 2007 16:54:46 +0300

osso-accounts (3.2-1) unstable; urgency=low

  * Add a delete confirmation note for the accounts list view

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  8 Jun 2007 14:37:35 +0300

osso-accounts (3.1-1) unstable; urgency=low

  * Ensure we always show an avatar (user-set or a placeholder) in the list view
  * Don't initialize display name to the account name if empty.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  8 Jun 2007 13:18:44 +0300

osso-accounts (3.0-1) unstable; urgency=low

  * Rewrite everything from scratch.
    Fixes: NB#50249, NB#51168, NB#52551, NB#54550, NB#54626, NB#54631.
    Fixes: NB#54845, NB#54846, NB#55547, NB#55810, NB#56175, NB#58596.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  7 Jun 2007 09:26:34 +0300

